Darian
Lanx

    content@openprojects.net

2001-04-25
0.01.01
KBuildSycoca
8

# Descrição

Reconstrói a 'cache' de configurações do sistema.

## Sintaxe

    kbuildsycoca  --nosignal --incremental --help --help-qt --help-kde --help-all --author -v, --version --license

## Descrição

O `kbuildsyscoca`, como parte das ferramentas da linha de comandos do &kde;, garante o funcionamento correcto do &kde; ao ler todos os ficheiros `.desktop`, `.directory`, `.kimgio` e `.protocol` para construir uma base de dados binária.

O &kde; em si acede a esta base de dados, durante a sua operação, para oferece as informações de configuração que um programa necessita para executar.

Esta ferramenta faz parte do 'ksycoca', que significa &kde; System Configuration Cache ('Cache' de Configuração do Sistema KDE)

## Opções

`--nosignal`

  Não envia sinais às aplicações

`--incremental`

  Actualização Incremental

`--help`

  Mostra a ajuda acerca das opções.

`--help-qt`

  Mostra as opções específicas do Qt.

`--help-kde`

  Mostra as opções específicas do KDE

`--help-all`

  Mostrar todas as opções

`--author`

  Mostra informações sobre o autor.

`--version`

  Mostra a versão.

`--license`

  Mostra informações sobre a licença

## Utilização

Uma forma normal de executar este programa é simplesmente indicando o seguinte comando na linha de comandos ``kbuildsyscoca``

## Ficheiros

`/tmp/kde-$USER/ksyscoca`

  ...

## Variáveis de Ambiente

$`KDEDIRS`

  Indica que pastas fazem parte das instalações do KDE

## Veja Também

ksycoca(3), kblah(4), knogga(6)

## Problemas

Não são conhecidos erros na altura em que isto foi escrito.